gr-baz Package

Public Member Functions | Friends | List of all members
baz_auto_ber_bf Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_auto_ber_bf.h>`

Inheritance diagram for baz_auto_ber_bf:
[legend]

## Public Member Functions
| ~baz_auto_ber_bf ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_auto_ber_bf_sptr | baz_make_auto_ber_bf (int degree, int sync_bits, int sync_decim)
| Return a shared_ptr to a new instance of baz_auto_ber_bf. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_auto_ber_bf()

baz_auto_ber_bf::~baz_auto_ber_bf | ( |  | ) |

## Member Function Documentation

## ◆ work()

int baz_auto_ber_bf::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## ◆ baz_make_auto_ber_bf

BAZ_API baz_auto_ber_bf_sptr baz_make_auto_ber_bf | ( | int | degree,
|  | int | sync_bits,
|  | int | sync_decim
| ) |  |
| friend

Return a shared_ptr to a new instance of baz_auto_ber_bf.

To avoid accidental use of raw pointers, baz_auto_ber_bf's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_auto_ber_bf.h